Bug 971341 - [abrt] pyzor-0.5.0-8.fc19: urllib2.py:1184:do_open:URLError: <urlopen error [Errno -2] Name or service not known>
[abrt] pyzor-0.5.0-8.fc19: urllib2.py:1184:do_open:URLError: <urlopen error [...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pyzor (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
abrt_hash:6915aa97d8d09713f233d2f5728...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 06:16 EDT by ernestoriverapr
Modified: 2015-02-17 10:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:28:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.59 KB, text/plain)
2013-06-06 06:16 EDT, ernestoriverapr
no flags Details
File: core_backtrace (903 bytes, text/plain)
2013-06-06 06:16 EDT, ernestoriverapr
no flags Details
File: environ (2.92 KB, text/plain)
2013-06-06 06:16 EDT, ernestoriverapr
no flags Details

  None (edit)
Description ernestoriverapr 2013-06-06 06:16:45 EDT
Version-Release number of selected component:
pyzor-0.5.0-8.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python -Wignore::DeprecationWarning /usr/bin/pyzor discover
dso_list:       python-libs-2.7.5-1.fc19.i686
executable:     /usr/bin/pyzor
kernel:         3.9.4-301.fc19.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
urllib2.py:1184:do_open:URLError: <urlopen error [Errno -2] Name or service not known>

Traceback (most recent call last):
  File "/usr/bin/pyzor", line 8, in <module>
    pyzor.client.run()
  File "/usr/lib/python2.7/site-packages/pyzor/client.py", line 1022, in run
    ExecCall().run()
  File "/usr/lib/python2.7/site-packages/pyzor/client.py", line 186, in run
    download(config.get('client', 'DiscoverServersURL'), servers_fn)
  File "/usr/lib/python2.7/site-packages/pyzor/client.py", line 1031, in download
    open(outfile, "wb").write(urllib2.urlopen(url).read())
  File "/usr/lib/python2.7/urllib2.py", line 127, in urlopen
    return _opener.open(url, data, timeout)
  File "/usr/lib/python2.7/urllib2.py", line 404, in open
    response = self._open(req, data)
  File "/usr/lib/python2.7/urllib2.py", line 422, in _open
    '_open', req)
  File "/usr/lib/python2.7/urllib2.py", line 382, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.7/urllib2.py", line 1214, in http_open
    return self.do_open(httplib.HTTPConnection, req)
  File "/usr/lib/python2.7/urllib2.py", line 1184, in do_open
    raise URLError(err)
URLError: <urlopen error [Errno -2] Name or service not known>

Local variables in innermost frame:
err: gaierror(-2, 'Name or service not known')
h: <httplib.HTTPConnection instance at 0x85b0bcc>
self: <urllib2.HTTPHandler instance at 0x8547c0c>
req: <urllib2.Request instance at 0x854734c>
headers: {'Host': 'pyzor.sourceforge.net', 'Connection': 'close', 'User-Agent': 'Python-urllib/2.7'}
host: 'pyzor.sourceforge.net'
http_class: <class httplib.HTTPConnection at 0x856065c>
Comment 1 ernestoriverapr 2013-06-06 06:16:49 EDT
Created attachment 757591 [details]
File: backtrace
Comment 2 ernestoriverapr 2013-06-06 06:16:52 EDT
Created attachment 757592 [details]
File: core_backtrace
Comment 3 ernestoriverapr 2013-06-06 06:16:55 EDT
Created attachment 757593 [details]
File: environ
Comment 4 Fedora End Of Life 2015-01-09 13:20:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 10:28:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.